#!/bin/bash

# prevents "systemd --user" from starting (and spraying messages to 
# syslog) when anything starts an ark user session.

DFCHECK=$(df /etc | grep ^/ | awk '{ print $4 }')
if [ "${DFCHECK}" = "" ] ;then
  echo "$0: could not check free disk space in /etc" 1>&2
  exit 1
fi

if [ ${DFCHECK} -lt 10000 ] ;then
  echo "$0: aborting because of low disk space in /etc" 1>&2
  df -k /etc 1>&2
  exit 1
fi

FILES=$(grep '^[^#].*systemd' /etc/pam.d/* 2>>/dev/null \
  | sed 's/:.*$//' | sort -u)
for i in ${FILES} ;do
  sed -i 's/^.*systemd/# &/' ${i}
done
exit 0


